<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Projet</title>
    <style>
        body {
            display: flex;
            justify-content: space-evenly;
        }
    </style>
</head>
<body onload='main()'>
<canvas id='dawin-webgl' width=800 height=800>
    Utilisez un navigateur compatible avec WebGL
</canvas>
<div class="slidecontainer">
    <h1>SETTINGS</h1>
    <h2>Translation</h2>
    <div><label>tx</label><input type="range" min="-1000" max="1000" value="500" class="slider" id="tx"></div>
    <div><label>ty</label><input type="range" min="-1000" max="1000" value="500" class="slider" id="ty"></div>
    <div><label>tz</label><input type="range" min="-2000" max="-500" value="-500" class="slider" id="tz"></div>
    <h2>Rotation</h2>
    <div><label>rx</label><input type="range" min="-100" max="100" value="0" class="slider" id="rx"></div>
    <div><label>ry</label><input type="range" min="-100" max="100" value="0" class="slider" id="ry"></div>
    <div><label>rz</label><input type="range" min="-100" max="100" value="0" class="slider" id="rz"></div>
    <h2>Camera</h2>
    <div><label>zoom</label><input type="range" min="10" max="500" value="50" class="slider" id="zoom"></div>
    <div><label>perspective</label><input type="range" min="-200" max="200" value="50" class="slider" id="perspective"></div>
</div>
<script src="gl-matrix-min.js"></script>
<script src='projet.js'></script>
</body>
</html>
